osgDB::Base64encoder Class Reference

`#include <ConvertBase64>`

## Public Member Functions

| Base64encoder (int buffersize_in=BUFFERSIZE)
int | encode (char value_in)
int | encode (const char *code_in, const int length_in, char *plaintext_out)
int | encode_end (char *plaintext_out)
void | encode (std::istream &istream_in, std::ostream &ostream_in)
void | encode (const char *chars_in, int length_in, std::string &code_out)

## Constructor & Destructor Documentation

## Base64encoder()

osgDB::Base64encoder::Base64encoder | ( | int | buffersize_in = BUFFERSIZE | ) |

inline

References osgDB::base64_init_encodestate(), and osgDB::BUFFERSIZE.

## Member Function Documentation

## encode() [1/4]

int osgDB::Base64encoder::encode | ( | char | value_in | ) |

## encode() [2/4]

void osgDB::Base64encoder::encode | ( | const char * | chars_in,
|  | int | length_in,
|  | std::string & | code_out )

## encode() [3/4]

int osgDB::Base64encoder::encode | ( | const char * | code_in,
|  | const int | length_in,
|  | char * | plaintext_out )

## encode() [4/4]

void osgDB::Base64encoder::encode | ( | std::istream & | istream_in,
|  | std::ostream & | ostream_in )

## encode_end()

int osgDB::Base64encoder::encode_end | ( | char * | plaintext_out | ) |

The documentation for this class was generated from the following file:

- ConvertBase64